/* @(#)transmit.h	1.3 93/10/27  */

#ifndef TRANSMIT_H
#define TRANSMIT_H

#include <sys/types.h>
#include <netinet/in.h>

typedef struct {
    int socket;
    int nameknt;
    struct sockaddr_in name[64];
    unsigned int session;
} TransmitState;

extern TransmitState *initialize_transmit(Parameters * param);
extern int transmit_packet(TransmitState * transmitter, PacketType * packet);
extern void close_transmit(TransmitState * transmitter);

#define GetTransmitSession(TPTR) (TPTR)->session
#endif				/* TRANSMIT_H */
